MyHomeDir = "c:\interthink\foxtalk2\demo\docs\"
MyHomeDirName = "DOCS"

NextID = 0

select dms_hdr
zap

*set step on

append blank
NextID = NextID + 1
replace ID with NextID,;
        parent_id with 0,;
        obj_type with "H",;
        object with MyHomeDirName

ProcessDir(NextID, MyHomeDirName, MyHomeDir)

RETURN


procedure ProcessDir
lparameter MyParentID, MyParentName, MyFullPath
	
	local NumFiles, i, CurrentPath
	local array TempA(1)
	
	NumFiles = adir(TempA, addbs(MyFullPath) + "*.*", "D")
	
	for i = 1 to NumFiles
		
		if inlist(TempA(i, 1), ".", "..")
			loop
		endif
		
		if "D" $ TempA(i, 5)
			
			select dms_hdr
			append blank
			NextID = NextID + 1
			replace ID        with NextID,;
			        parent_id with MyParentID,;
			        obj_type  with "D",;
			        object    with TempA(i, 1),;
			        size      with TempA(i, 2),;
			        date_mod  with TempA(i, 3),;
			        time_mod with TempA(i, 4)
			
			CurrentPath = addbs(MyFullPath) + TempA(i, 1)
			ProcessDir(NextID, TempA(i, 1), CurrentPath)
			
		else
		
			select dms_hdr
			append blank
			NextID = NextID + 1
			replace ID        with NextID,;
			        parent_id with MyParentID,;
			        obj_type  with "F",;
			        object    with TempA(i, 1),;
			        size      with TempA(i, 2),;
			        date_mod  with TempA(i, 3),;
			        time_mod with TempA(i, 4)

		endif
		
	endfor
	
return
