clear all
close all
clear
set deleted on

on shutdown clear events
set procedure to routines.prg

PUSH MENU _MSYSMENU

use config shared

* -------------------------------------------------------------------
* If we're missing the location of our check in or check out folder,
* we'll automatically run the CONFIG form.  Later we need to go
* further and make sure the folders actually exist.
* -------------------------------------------------------------------
if empty(dms_data) or empty(in_folder) or empty(out_folder)
	do form config
endif

* -------------------------------------------------------------------
* The user ID for demo purposes.  Later this would be passed by the
* main application.
* -------------------------------------------------------------------
gcUserID = "RRC"

* -------------------------------------------------------------------
* -------------------------------------------------------------------
wait window "Instantiating DMS Manager object" nowait
oDMS = createobject("DMS.DMS_MGR")
wait clear

* -------------------------------------------------------------------
* If we were successfull with the instantiation, we'll go on.
* -------------------------------------------------------------------
if vartype(oDMS) = "O"
	
	with oDMS
		.UserID = gcUserID   && Give user ID to oDMS object.
		.OpenDMSTables()     && Open the DMS tables.
	endwith
	
	do dms_sample.mpr
	read events
	
else
	
	messagebox("oDMS object not instantiated!")
	
endif

on shutdown
POP MENU _MSYSMENU TO MASTER

CLEAR DLLS
RELEASE ALL EXTENDED
CLEAR ALL
close all
