*==============================================================================
* Program:			ErrorSound
* Purpose:			Plays the Windows error sound
* Author:			Doug Hennig
* Copyright:		(c) 2001 Stonefield Systems Group Inc.
* Last revision:	01/20/2001
* Parameters:		tnSound - the sound value to play (optional: if is isn't
*						specified, 16, which plays the "critical stop" sound,
*						is used)
* Returns:			.T.
* Environment in:	none
* Environment out:	the sound was played
*==============================================================================

lparameters tnSound
local lnSound
lnSound = iif(vartype(tnSound) = 'N', tnSound, 16)
declare integer MessageBeep in Win32API ;
	integer wType
MessageBeep(lnSound)
