*==============================================================================
* Program:			GetDesktopDir
* Purpose:			Returns the directory for the Windows desktop
* Author:			Doug Hennig, using George Tasker's LNKFILES.DLL
* Copyright:		(c) 2001 Stonefield Systems Group Inc.
* Last revision:	02/08/2001
* Parameters:		none
* Returns:			the directory with trailing backslash
* Environment in:	none
* Environment out:	none
*==============================================================================

local lcBuffer, ;
	lnLength
#define MAX_PATH 260
declare integer FindDesktopFolder in lnkfiles.dll ;
	integer hOwner, string @lpbuffer
lcBuffer = space(MAX_PATH)
lnLength = FindDesktopFolder(0, @lcBuffer)
return addbs(left(lcBuffer, lnLength))
