*==============================================================================
* Program:			GetTempDir
* Purpose:			Returns the Windows temp directory
* Author:			Doug Hennig
* Copyright:		(c) 2001 Stonefield Systems Group Inc.
* Last revision:	02/08/2001
* Parameters:		none
* Returns:			the Windows temp directory
* Environment in:	none
* Environment out:	none
*==============================================================================

local lcBuffer
#define MAX_PATH 260
lcBuffer = space(MAX_PATH)
declare integer GetTempPath in Win32API ;
	integer nLength, string @szBuffer
GetTempPath(MAX_PATH, @lcBuffer)
return addbs(alltrim(left(lcBuffer, at(chr(0), lcBuffer) - 1)))
