* Program....: ISCOMOBJECT.PRG
* Version....: 1.0
* Author.....: Rick Strahl/Tamar E. Granor
* Date.......: January 6, 1999
* Notice.....:  As appeared in FPA Jan1999 p54
* Compiler...: 
* Abstract...: Determines whether a COM object is registered on this machine
* Changes....:

lParameters tcProgID

#INCLUDE registry.h

if ! ("\REGISTRY" $ set('classlib'))
	set classlib to registry additive
endif

local loReg
loReg = create('registry')

local lcClassDescript, lnErr, lcClassID
store '' to lcClassDescript, lcClassID

lnErr = loReg.GetRegKey('', @lcClassDescript, tcProgID, HKEY_CLASSES_ROOT)

if lnErr # 0
	return .f.
endif
